import * as cdk from "aws-cdk-lib";
import { Construct } from "constructs";
export interface BaseStackProps extends cdk.StackProps {
    readonly permissionsBoundaryArn?: string;
    readonly environmentId?: string;
    readonly config?: string | object;
}
export declare class BaseStack extends cdk.Stack {
    readonly terminationProtection?: boolean | undefined;
    constructor(scope: Construct, id: string, props: BaseStackProps);
}
export interface PermissionsBoundaryProps {
    readonly environmentId?: string;
    readonly prefix?: string;
    readonly qualifier?: string;
}
export declare function createDefaultPermissionsBoundary(scope: Construct, id: string, props: PermissionsBoundaryProps): cdk.aws_iam.ManagedPolicy;
