import { Duration } from "aws-cdk-lib";
import * as appflow from "aws-cdk-lib/aws-appflow";
import * as events from "aws-cdk-lib/aws-events";
import * as sfn from "aws-cdk-lib/aws-stepfunctions";
import * as tasks from "aws-cdk-lib/aws-stepfunctions-tasks";
import { Construct } from "constructs";
import { StateMachineStage, StateMachineStageProps } from "../pipelines/stage";
export interface AppFlowIngestionStageProps extends StateMachineStageProps {
    readonly flowName?: string;
    readonly flowExecutionStatusCheckPeriod?: Duration;
    readonly destinationFlowConfig?: appflow.CfnFlow.DestinationFlowConfigProperty;
    readonly sourceFlowConfig?: appflow.CfnFlow.SourceFlowConfigProperty;
    readonly flowTasks?: appflow.CfnFlow.TaskProperty[];
}
export declare class AppFlowIngestionStage extends StateMachineStage {
    readonly targets?: events.IRuleTarget[];
    readonly eventPattern?: events.EventPattern;
    readonly stateMachine: sfn.StateMachine;
    readonly flowObject: tasks.CallAwsService;
    readonly flowName: string;
    constructor(scope: Construct, id: string, props: AppFlowIngestionStageProps);
    private createStartFlowCustomTask;
    private createCheckFlowExecutionTask;
}
