import * as events from "aws-cdk-lib/aws-events";
import * as kms from "aws-cdk-lib/aws-kms";
import * as s3 from "aws-cdk-lib/aws-s3";
import * as sfn from "aws-cdk-lib/aws-stepfunctions";
import * as tasks from "aws-cdk-lib/aws-stepfunctions-tasks";
import { Construct } from "constructs";
import { StateMachineStage, StateMachineStageProps } from "../pipelines/stage";
export interface AthenaToSQLStageProps extends StateMachineStageProps {
    readonly queryString?: string;
    readonly queryStringPath?: string;
    readonly workGroup?: string;
    readonly catalogName?: string;
    readonly databaseName?: string;
    readonly outputLocation?: s3.Location;
    readonly encryptionOption?: tasks.EncryptionOption;
    readonly encryptionKey?: kms.Key;
}
export declare class AthenaSQLStage extends StateMachineStage {
    readonly targets?: events.IRuleTarget[];
    readonly eventPattern?: events.EventPattern;
    readonly stateMachine: sfn.StateMachine;
    readonly stateMachineInput?: {
        [key: string]: any;
    };
    readonly eventBridgeEventPath?: string;
    constructor(scope: Construct, id: string, props: AthenaToSQLStageProps);
}
