import * as databrew from "aws-cdk-lib/aws-databrew";
import * as events from "aws-cdk-lib/aws-events";
import * as sfn from "aws-cdk-lib/aws-stepfunctions";
import { Construct } from "constructs";
import { StateMachineStage, StateMachineStageProps } from "../pipelines/stage";
export interface DataBrewTransformStageProps extends StateMachineStageProps {
    readonly jobName?: string;
    readonly jobRoleArn?: string;
    readonly jobType?: string;
    readonly datasetName?: string;
    readonly recipe?: databrew.CfnJob.RecipeProperty;
    readonly outputs?: databrew.CfnJob.OutputProperty[];
    readonly createJob?: boolean;
}
export declare class DataBrewTransformStage extends StateMachineStage {
    readonly targets?: events.IRuleTarget[];
    readonly eventPattern?: events.EventPattern;
    readonly stateMachine: sfn.StateMachine;
    readonly job?: databrew.CfnJob;
    readonly jobName: string;
    readonly createJob: boolean;
    constructor(scope: Construct, id: string, props: DataBrewTransformStageProps);
    private createDefaultDataBrewJobRole;
}
