import * as glue_alpha from "@aws-cdk/aws-glue-alpha";
import * as cdk from "aws-cdk-lib";
import * as events from "aws-cdk-lib/aws-events";
import * as glue from "aws-cdk-lib/aws-glue";
import * as sfn from "aws-cdk-lib/aws-stepfunctions";
import { Construct } from "constructs";
import { StateMachineStage, StateMachineStageProps } from "../pipelines/stage";
export interface GlueTransformStageProps extends StateMachineStageProps {
    readonly jobName?: string;
    readonly jobProps?: glue_alpha.JobProps;
    readonly jobRunArgs?: {
        [key: string]: any;
    };
    readonly crawlerName?: string;
    readonly crawlerProps?: glue.CfnCrawlerProps;
    readonly crawlerAllowFailure?: boolean;
    readonly stateMachineRetryMaxAttempts?: number;
    readonly stateMachineRetryBackoffRate?: number;
    readonly stateMachineRetryInterval?: cdk.Duration;
}
export declare class GlueTransformStage extends StateMachineStage {
    readonly targets?: events.IRuleTarget[];
    readonly eventPattern?: events.EventPattern;
    readonly stateMachine: sfn.StateMachine;
    readonly glueJob: glue_alpha.IJob;
    readonly crawler?: glue.CfnCrawler;
    constructor(scope: Construct, id: string, props: GlueTransformStageProps);
    private getGlueJob;
    private getCrawler;
}
