import * as cdk from "aws-cdk-lib";
import * as events from "aws-cdk-lib/aws-events";
import * as sfn from "aws-cdk-lib/aws-stepfunctions";
import { Construct } from "constructs";
import { StateMachineStage, StateMachineStageProps } from "../pipelines/stage";
export interface RedshiftDataApiStageProps extends StateMachineStageProps {
    readonly redshiftClusterIdentifier: string;
    readonly sqlStatements: string[];
    readonly databaseName?: string;
    readonly databaseUser?: string;
    readonly pollingTime?: cdk.Duration;
}
export declare class RedshiftDataApiStage extends StateMachineStage {
    readonly targets?: events.IRuleTarget[];
    readonly eventPattern?: events.EventPattern;
    readonly stateMachine: sfn.StateMachine;
    readonly stateMachineInput?: {
        [key: string]: any;
    };
    readonly eventBridgeEventPath?: string;
    constructor(scope: Construct, id: string, props: RedshiftDataApiStageProps);
}
