import * as events from "aws-cdk-lib/aws-events";
import * as sns from "aws-cdk-lib/aws-sns";
import * as sqs from "aws-cdk-lib/aws-sqs";
import { Construct } from "constructs";
import { SqsToLambdaStage, SqsToLambdaStageProps } from "./sqs-lambda";
export interface SnsToLambdaStageProps extends SqsToLambdaStageProps {
    readonly snsTopic?: sns.ITopic;
    readonly snsTopicProps?: sns.TopicProps;
    readonly filterPolicy?: {
        [attribute: string]: sns.SubscriptionFilter;
    };
    readonly snsDlqEnabled?: boolean;
    readonly rawMessageDelivery?: boolean;
    readonly disableDefaultTopicPolicy?: boolean;
}
export declare class SnsSqsToLambdaStage extends SqsToLambdaStage {
    readonly targets?: events.IRuleTarget[];
    readonly eventPattern?: events.EventPattern;
    readonly topic: sns.ITopic;
    readonly snsDeadLetterQueue?: sqs.Queue;
    constructor(scope: Construct, id: string, props: SnsToLambdaStageProps);
}
