import * as cdk from "aws-cdk-lib";
import * as cloudwatch from "aws-cdk-lib/aws-cloudwatch";
import * as events from "aws-cdk-lib/aws-events";
import * as lambda from "aws-cdk-lib/aws-lambda";
import * as sqs from "aws-cdk-lib/aws-sqs";
import { Construct } from "constructs";
import { DataStage, DataStageProps } from "../pipelines/stage";
export interface SqsToLambdaStageFunctionProps extends lambda.FunctionProps {
    readonly errorsAlarmThreshold?: number;
    readonly errorsEvaluationPeriods?: number;
    readonly errorsComparisonOperator?: cloudwatch.ComparisonOperator;
}
export interface SqsToLambdaStageProps extends DataStageProps {
    readonly lambdaFunction?: lambda.IFunction;
    readonly lambdaFunctionProps?: SqsToLambdaStageFunctionProps;
    readonly sqsQueue?: sqs.IQueue;
    readonly sqsQueueProps?: sqs.QueueProps;
    readonly batchSize?: number;
    readonly maxBatchingWindow?: cdk.Duration;
    readonly dlqEnabled?: boolean;
    readonly maxReceiveCount?: number;
    readonly messageGroupId?: string;
}
export declare class SqsToLambdaStage extends DataStage {
    readonly targets?: events.IRuleTarget[];
    readonly eventPattern?: events.EventPattern;
    readonly function: lambda.IFunction;
    readonly queue: sqs.IQueue;
    readonly deadLetterQueue?: sqs.Queue;
    constructor(scope: Construct, id: string, props: SqsToLambdaStageProps);
}
